/*
 * Copyright (c) 2017, 2019, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

package com.sun.source.tree;

/**
 * {@preview Associated with pattern matching for instanceof, a preview feature of
 *           the Java language.
 *
 *           This interface is associated with <i>pattern matching for instanceof</i>, a preview
 *           feature of the Java language. Preview features
 *           may be removed in a future release, or upgraded to permanent
 *           features of the Java language.}
 *
 * A tree node used as the base class for the different kinds of
 * statements.
 *
 * @since 14
 */
public interface PatternTree extends Tree {}
